Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot6< T, R, P1, P2, P3, P4, P5, P6 > Class Template Reference

A slot template for methods in a class of type T taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot6< T, R, P1, P2, P3, P4, P5, P6 >:

List of all members.

## Public Member Functions

- MethodSlot6 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5, P6 p6) const
    Calls the class method connected to this slot passing it arguments p1, p2, p3, p4, p5 and p6.

## Detailed Description

### template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class Inti::MethodSlot6< T, R, P1, P2, P3, P4, P5, P6 >

A slot template for methods in a class of type T taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Inti::MethodSlot6< T, R, P1, P2, P3, P4, P5, P6 >::MethodSlot6 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

Construct a new method slot for a class member function.

Parameters:

  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1, P2, P3, P4, P5, P6).

## Member Function Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
virtual R Inti::MethodSlot6< T, R, P1, P2, P3, P4, P5, P6 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5,
|  | P6 | p6
| ) | const`[inline, virtual]`

Calls the class method connected to this slot passing it arguments p1, p2, p3, p4, p5 and p6.

Returns:
  A value of type R returned by the called method.

Implements Inti::Slot6< R, P1, P2, P3, P4, P5, P6 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer